/*
 * Core configuration class
 */

#include <string>

#include <arc/configcore.h>

void Config::AddConfValue(std::string path, std::string value) {
	Config::content[path].push_back(value);
}


OptionValue Config::ConfValue(std::string key) {

	Options::iterator i;
	i = content.find(key);
	if ( i != content.end() ) {
		return i->second;
	} else {
		OptionValue empty_list;
		return empty_list;
	}
}


std::string Config::FirstConfValue(std::string key) {
	return ConfValue(key).front();
}


Options& Config::GetOptions() {
	return content;
}


int Config::Size() {
	return content.size();
}
